(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 6.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[      6297,        209]
NotebookOptionsPosition[      5627,        185]
NotebookOutlinePosition[      5972,        200]
CellTagsIndexPosition[      5929,        197]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"Clear", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.425455350171875*^9, 3.425455389828125*^9}}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"f", "[", "x_", "]"}], "=", 
   RowBox[{"E", "^", "x"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"k", "[", "x_", "]"}], "=", 
   RowBox[{"Log", "[", 
    RowBox[{"1", "-", "x"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"L", "=", "10"}], ";"}]}], "Input",
 CellChangeTimes->{{3.423922740578125*^9, 3.42392277234375*^9}, {
  3.423925233234375*^9, 3.42392524665625*^9}}],

Cell[TextData[{
 StyleBox["taylor series expansion \n\n",
  FontSize->16],
 Cell[BoxData[
  FormBox[
   RowBox[{
    UnderoverscriptBox["\[Sum]", 
     RowBox[{"n", "=", "0"}], "\[Infinity]"], 
    RowBox[{
     FractionBox[
      RowBox[{
       SuperscriptBox["f", 
        RowBox[{"(", "n", ")"}]], "(", 
       SubscriptBox["x", "0"], ")"}], 
      RowBox[{"n", " ", "!"}]], 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{"x", "-", 
        SubscriptBox["x", "0"]}], ")"}], "n"]}]}], TraditionalForm]],
  FontSize->36],
 StyleBox["\n",
  FontSize->36],
 "  "
}], "Text",
 CellChangeTimes->{{3.42407915346875*^9, 3.42407923521875*^9}, {
  3.424079533984375*^9, 3.424079688421875*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"ff", "[", "x_", "]"}], "=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"f", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "n"}], "}"}]}], "]"}], "/.", 
       RowBox[{"x", "\[Rule]", "0"}]}], 
      RowBox[{"n", "!"}]], " ", 
     SuperscriptBox["x", "n"]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "0", ",", "L"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.42392264628125*^9, 3.423922646421875*^9}, {
   3.423922913140625*^9, 3.423922918546875*^9}, 3.424079786125*^9, 
   3.42407982778125*^9, 3.424081331203125*^9, {3.424081790453125*^9, 
   3.424081796328125*^9}}],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"f", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "L"}], "}"}]}], "]"}]], "Input"],

Cell[BoxData[
 RowBox[{"Normal", "[", 
  RowBox[{"Series", "[", 
   RowBox[{
    RowBox[{"f", "[", "x", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "0", ",", "L"}], "}"}]}], "]"}], "]"}]], "Input",
 CellChangeTimes->{{3.424081354984375*^9, 3.424081371828125*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"kk", "[", "x_", "]"}], "=", 
  RowBox[{"Sum", "[", 
   RowBox[{
    RowBox[{
     FractionBox[
      RowBox[{
       RowBox[{"D", "[", 
        RowBox[{
         RowBox[{"k", "[", "x", "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"x", ",", "n"}], "}"}]}], "]"}], "/.", 
       RowBox[{"x", "\[Rule]", "0"}]}], 
      RowBox[{"n", "!"}]], " ", 
     SuperscriptBox["x", "n"]}], ",", 
    RowBox[{"{", 
     RowBox[{"n", ",", "2", ",", "L"}], "}"}]}], "]"}]}]], "Input",
 CellChangeTimes->{{3.423922655984375*^9, 3.42392265690625*^9}, {
   3.423922973875*^9, 3.423922978078125*^9}, 3.424079790546875*^9, 
   3.424079847390625*^9, 3.4240813430625*^9, {3.424081817046875*^9, 
   3.424081822828125*^9}}],

Cell[BoxData[
 RowBox[{"Series", "[", 
  RowBox[{
   RowBox[{"k", "[", "x", "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "L"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.423925433484375*^9, 3.4239254658125*^9}}],

Cell[BoxData[
 RowBox[{"Normal", "[", "%", "]"}]], "Input",
 CellChangeTimes->{3.4240813996875*^9}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"ff", "[", "x", "]"}], ",", 
     RowBox[{"f", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.42408183271875*^9, 3.424081888921875*^9}, {
  3.42408195965625*^9, 3.42408196915625*^9}}],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"kk", "[", "x", "]"}], ",", 
     RowBox[{"k", "[", "x", "]"}]}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "1"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.424081980578125*^9, 3.424082030953125*^9}}],

Cell[TextData[{
 StyleBox["\:0645\:0637\:0627\:0644\:0628 \:0648 \:062a\:0648\:0636\:064a\
\:062d\:0627\:062a \:0628\:064a\:0634\:062a\:0631 \:062f\:0631\n",
  FontColor->RGBColor[1, 0, 0]],
 StyleBox[ButtonBox["math2pc.persianblog.ir\n",
  BaseStyle->"Hyperlink",
  ButtonData:>{
    URL["http://www.math2pc.persianblog.ir"], None}],
  FontColor->RGBColor[0, 0, 1]],
 ButtonBox["math2pc.blog.ir",
  BaseStyle->"Hyperlink",
  ButtonData->{
    URL["http://math2pc.blog.ir"], None},
  ButtonNote->"http://math2pc.blog.ir"]
}], "Text",
 CellChangeTimes->{{3.7447294760878*^9, 3.7447295059820004`*^9}, {
  3.7447295847976*^9, 3.7447295872488003`*^9}, {3.7447296318258*^9, 
  3.7447296338900003`*^9}, {3.7447297237511997`*^9, 3.7447297237511997`*^9}},
 TextAlignment->Center,
 TextJustification->0,
 FontSize->24]
},
WindowSize->{495, 527},
WindowMargins->{{Automatic, 257}, {Automatic, 18}},
FrontEndVersion->"8.0 for Microsoft Windows (64-bit) (November 7, 2010)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 139, 2, 31, "Input"],
Cell[687, 24, 459, 13, 72, "Input"],
Cell[1149, 39, 697, 25, 129, "Text"],
Cell[1849, 66, 743, 21, 47, "Input"],
Cell[2595, 89, 170, 5, 31, "Input"],
Cell[2768, 96, 273, 7, 31, "Input"],
Cell[3044, 105, 742, 21, 47, "Input"],
Cell[3789, 128, 234, 6, 31, "Input"],
Cell[4026, 136, 99, 2, 31, "Input"],
Cell[4128, 140, 363, 10, 31, "Input"],
Cell[4494, 152, 317, 9, 31, "Input"],
Cell[4814, 163, 809, 20, 101, "Text"]
}
]
*)

(* End of internal cache information *)
